package cn.com.tenlion.systembase.pojo.dtos.logisticssafepatrol;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: LogisticsSafePatrolDTO
 * @Description: 寄递物流安全巡查
 * @Author: CodeFactory
 * @Date: 2021-10-20 11:28:32
 * @Version: 3.0
 **/
@ApiModel
public class LogisticsSafePatrolDTO {

    @ApiModelProperty(name = "logisticsSafePatrolId", value = "主键UUID")
    private String logisticsSafePatrolId;
    @ApiModelProperty(name = "logisticsSafeId", value = "寄递物流安全管理ID")
    private String logisticsSafeId;
    @ApiModelProperty(name = "patrolTime", value = "巡查时间")
    private String patrolTime;
    @ApiModelProperty(name = "patrolContent", value = "巡查内容")
    private String patrolContent;
    @ApiModelProperty(name = "patrolResult", value = "巡查结果")
    private String patrolResult;
    @ApiModelProperty(name = "patrolPhoto", value = "巡查照片")
    private String patrolPhoto;
    @ApiModelProperty(name = "patrolVideo", value = "巡查视频")
    private String patrolVideo;
    @ApiModelProperty(name = "remake", value = "备注")
    private String remake;
    @ApiModelProperty(name = "creator", value = "")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "")
    private Integer isDelete;

    public String getLogisticsSafePatrolId() {
        return logisticsSafePatrolId == null ? "" : logisticsSafePatrolId.trim();
    }

    public void setLogisticsSafePatrolId(String logisticsSafePatrolId) {
        this.logisticsSafePatrolId = logisticsSafePatrolId;
    }

    public String getLogisticsSafeId() {
        return logisticsSafeId == null ? "" : logisticsSafeId.trim();
    }

    public void setLogisticsSafeId(String logisticsSafeId) {
        this.logisticsSafeId = logisticsSafeId;
    }

    public String getPatrolTime() {
        return patrolTime == null ? "" : patrolTime.trim();
    }

    public void setPatrolTime(String patrolTime) {
        this.patrolTime = patrolTime;
    }

    public String getPatrolContent() {
        return patrolContent == null ? "" : patrolContent.trim();
    }

    public void setPatrolContent(String patrolContent) {
        this.patrolContent = patrolContent;
    }

    public String getPatrolResult() {
        return patrolResult == null ? "" : patrolResult.trim();
    }

    public void setPatrolResult(String patrolResult) {
        this.patrolResult = patrolResult;
    }

    public String getPatrolPhoto() {
        return patrolPhoto == null ? "" : patrolPhoto.trim();
    }

    public void setPatrolPhoto(String patrolPhoto) {
        this.patrolPhoto = patrolPhoto;
    }

    public String getPatrolVideo() {
        return patrolVideo == null ? "" : patrolVideo.trim();
    }

    public void setPatrolVideo(String patrolVideo) {
        this.patrolVideo = patrolVideo;
    }

    public String getRemake() {
        return remake == null ? "" : remake.trim();
    }

    public void setRemake(String remake) {
        this.remake = remake;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
